org.apache.felix.bundleplugin

## Class ManifestWriter

- java.lang.Object
- - org.apache.felix.bundleplugin.ManifestWriter

-     public class ManifestWriter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManifestWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `outputManifest(Manifest manifest, OutputStream out, boolean nice)` Main function to output a manifest properly in UTF-8.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestWriter

          public ManifestWriter()

  - ### Method Detail

    - #### outputManifest

          public static void outputManifest(Manifest manifest,
                            OutputStream out,
                            boolean nice)
                                     throws IOException

      Main function to output a manifest properly in UTF-8.
      Parameters:
        `manifest` - The manifest to output
        `out` - The output stream
      Throws:
        `IOException` - when something fails

Copyright © 2015. All rights reserved.